#!/bin/bash
#
#
if [ -x "build/qmake-generator/generator" ]
then
	# Effectively a rename, so it can be installed as this name
	cp -av build/qmake-generator/generator build/qmake-generator/qtjambi-generator
else
	echo "$0: ERROR File build/qmake-generator/generator: does not exist" 1>&2
	exit 1
fi

if [ -x "build/qmake-juic/juic" ]
then
	# Effectively a rename, so it can be installed as this name
	mv -v build/qmake-juic/juic build/qmake-juic/qtjambi-juic
	ln -sv qtjambi-juic build/qmake-juic/juic
else
	echo "$0: ERROR File build/qmake-generator/generator: does not exist" 1>&2
	exit 1
fi

if [ -f "debian/qtjambi-designer.sh" ]
then
	ln -sv qtjambi-designer.sh debian/qtjambi-designer
fi

# ./qtjambi-4.7.4.jar
f=$(find . -maxdepth 1 -type f -name "qtjambi-[0-9]*.jar" | sort | head -n 1)
# qtjambi-4.7.4
bn=$(basename "$f" ".jar")
# qtjambi
ff=$(echo "$bn" | sed -e 's/[0-9\.]\+$//' -e 's/-$//')
# ln -sv qtjambi-4.7.4.jar qtjambi.jar
ln -sv "${bn}.jar" "${ff}.jar"


# ./qtjambi-designer-4.7.4.jar
f=$(find . -maxdepth 1 -type f -name "qtjambi-designer-[0-9]*.jar" | sort | head -n 1)
# qtjambi-designer-4.7.4
bn=$(basename "$f" ".jar")
# qtjambi
ff=$(echo "$bn" | sed -e 's/[0-9\.]\+$//' -e 's/-$//')
# ln -sv qtjambi-designer-4.7.4.jar qtjambi.jar
ln -sv "${bn}.jar" "${ff}.jar"


# ./qtjambi-examples-4.7.4.jar
f=$(find . -maxdepth 1 -type f -name "qtjambi-examples-[0-9]*.jar" | sort | head -n 1)
# qtjambi-examples-4.7.4
bn=$(basename "$f" ".jar")
# qtjambi
ff=$(echo "$bn" | sed -e 's/[0-9\.]\+$//' -e 's/-$//')
# ln -sv qtjambi-examples-4.7.4.jar qtjambi.jar
ln -sv "${bn}.jar" "${ff}.jar"

(
cd build

# ./qtjambi-linux*-*-4.7.4.jar
f=$(find . -maxdepth 1 -type f -name "qtjambi-linux*-*-[0-9]*.jar" | sort | head -n 1)
# qtjambi-linux*-*-4.7.4
bn=$(basename "$f" ".jar")
# qtjambi
ff=$(echo "$bn" | sed -e 's/[0-9\.]\+$//' -e 's/-$//')
# ln -sv qtjambi-linux*-*-4.7.4.jar qtjambi.jar
ln -sv "${bn}.jar" "${ff}.jar"
)

echo "usr/lib/jni/qtjambi" > build/libqtjambi-jni.conf
echo "usr/lib/jni/qtjambi" > build/libqtjambi-jni-snapshot.conf
